aboutsummaryrefslogtreecommitdiffstats
path: root/test/mppa/sort/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/mppa/sort/Makefile')
-rw-r--r--test/mppa/sort/Makefile46
1 files changed, 23 insertions, 23 deletions
diff --git a/test/mppa/sort/Makefile b/test/mppa/sort/Makefile
index 0ae9d1f6..c4090352 100644
--- a/test/mppa/sort/Makefile
+++ b/test/mppa/sort/Makefile
@@ -1,11 +1,11 @@
-K1CC ?= k1-cos-gcc
+KVXC ?= k1-cos-gcc
CC ?= gcc
CCOMP ?= ccomp
CFLAGS ?= -O2
SIMU ?= k1-mppa
TIMEOUT ?= 10s
-K1CCPATH=$(shell which $(K1CC))
+KVXCPATH=$(shell which $(KVXC))
CCPATH=$(shell which $(CC))
CCOMPPATH=$(shell which $(CCOMP))
SIMUPATH=$(shell which $(SIMU))
@@ -14,15 +14,15 @@ PRNG=../prng/prng.c
CFILES=insertion.c merge.c selection.c main.c
-ALL= insertion-gcc-x86 insertion-gcc-k1c insertion-ccomp-k1c\
- selection-gcc-x86 selection-gcc-k1c selection-ccomp-k1c\
- merge-gcc-x86 merge-gcc-k1c merge-ccomp-k1c\
- main-gcc-x86 main-gcc-k1c main-ccomp-k1c
+ALL= insertion-gcc-x86 insertion-gcc-kvx insertion-ccomp-kvx\
+ selection-gcc-x86 selection-gcc-kvx selection-ccomp-kvx\
+ merge-gcc-x86 merge-gcc-kvx merge-ccomp-kvx\
+ main-gcc-x86 main-gcc-kvx main-ccomp-kvx
-CCOMP_OUT= insertion-ccomp-k1c.out selection-ccomp-k1c.out merge-ccomp-k1c.out\
- main-ccomp-k1c.out
-GCC_OUT= insertion-gcc-k1c.out selection-gcc-k1c.out merge-gcc-k1c.out\
- main-gcc-k1c.out
+CCOMP_OUT= insertion-ccomp-kvx.out selection-ccomp-kvx.out merge-ccomp-kvx.out\
+ main-ccomp-kvx.out
+GCC_OUT= insertion-gcc-kvx.out selection-gcc-kvx.out merge-gcc-kvx.out\
+ main-gcc-kvx.out
X86_GCC_OUT= insertion-gcc-x86.out selection-gcc-x86.out merge-gcc-x86.out\
main-gcc-x86.out
STUB_OUT= .zero
@@ -35,23 +35,23 @@ main-gcc-x86: $(CFILES) $(PRNG) $(CCPATH)
%-gcc-x86: %.c $(PRNG) $(CCPATH)
$(CC) -D__UNIT_TEST_$$(echo $(basename $<) | tr a-z A-Z)__ $(CFLAGS) $(filter-out $(CCPATH),$^) -o $@
-main-gcc-k1c: $(CFILES) $(PRNG) $(CCPATH)
- $(K1CC) $(CFLAGS) $(filter-out $(CCPATH),$^) -o $@
+main-gcc-kvx: $(CFILES) $(PRNG) $(CCPATH)
+ $(KVXC) $(CFLAGS) $(filter-out $(CCPATH),$^) -o $@
-%-gcc-k1c: %.c $(PRNG) $(K1CCPATH)
- $(K1CC) -D__UNIT_TEST_$$(echo $(basename $<) | tr a-z A-Z)__ $(CFLAGS) $(filter-out $(K1CCPATH),$^) -o $@
+%-gcc-kvx: %.c $(PRNG) $(KVXCPATH)
+ $(KVXC) -D__UNIT_TEST_$$(echo $(basename $<) | tr a-z A-Z)__ $(CFLAGS) $(filter-out $(KVXCPATH),$^) -o $@
-main-ccomp-k1c: $(CFILES) $(PRNG) $(CCOMPPATH)
+main-ccomp-kvx: $(CFILES) $(PRNG) $(CCOMPPATH)
$(CCOMP) $(CFLAGS) $(filter-out $(CCOMPPATH),$^) -o $@
-%-ccomp-k1c: %.c $(PRNG) $(CCOMPPATH)
+%-ccomp-kvx: %.c $(PRNG) $(CCOMPPATH)
$(CCOMP) -D__UNIT_TEST_$$(echo $(basename $<) | tr a-z A-Z)__ $(CFLAGS) $(filter-out $(CCOMPPATH),$^) -o $@
.SECONDARY:
%x86.out: %x86
ret=0; timeout $(TIMEOUT) ./$< > $@ || { ret=$$?; }; echo $$ret >> $@
-%k1c.out: %k1c $(SIMUPATH)
+%kvx.out: %kvx $(SIMUPATH)
ret=0; timeout $(TIMEOUT) $(SIMU) -- $< > $@ || { ret=$$?; }; echo $$ret >> $@
.zero:
@@ -68,24 +68,24 @@ test-x86: $(STUB_OUT) $(X86_GCC_OUT)
done
.PHONY:
-test-k1c: $(STUB_OUT) $(GCC_OUT)
+test-kvx: $(STUB_OUT) $(GCC_OUT)
@for test in $(wordlist 2,100,$^); do\
if ! diff $$test $(STUB_OUT); then\
- >&2 echo "ERROR k1c: $$test failed";\
+ >&2 echo "ERROR kvx: $$test failed";\
else\
- echo "GOOD k1c: $$test succeeded";\
+ echo "GOOD kvx: $$test succeeded";\
fi;\
done
.PHONY:
-test: test-x86 test-k1c
+test: test-x86 test-kvx
.PHONY:
check: $(STUB_OUT) $(CCOMP_OUT)
@for test in $(wordlist 2,100,$^); do\
if ! diff $$test $(STUB_OUT); then\
- >&2 echo "ERROR k1c: $$test failed";\
+ >&2 echo "ERROR kvx: $$test failed";\
else\
- echo "GOOD k1c: $$test succeeded";\
+ echo "GOOD kvx: $$test succeeded";\
fi;\
done